Subject: gimp-2.3.4 fails with "incompatible cpu-subtype"
To: None <>
From: John D. Baker <>
List: tech-pkg
Date: 10/24/2005 00:37:59
I just built graphics/gimp24 (actually gimp-2.3.4).  The build and
install went without a hitch, but when I tried to run the newly-installed
/usr/pkg/bin/gimp-2.3, it crashed and the dynamic linker complained:

    dyld: incompatible cpu-subtype
    Trace/BPT trap

The machine is a PowerMac 8500 with Sonnet Crescendo G3-450 (MPC750)
CPU upgrade card.  I've heard reports that this indicates a binary
compiled for the wrong CPU and it has so far only manifested on G3
machines running Tiger (MacOS X 10.4.x).

Not sure what that means or why I should be getting it on gimp, but not
on other programs I've built.  My mk.conf is not setting any specific
cpu-type directives.  Perhaps something is mis-detecting the CPU and
setting some processor-specific directive on its own?  I must admit I
wasn't paying too much attention to the build process as it usually
Just Works (tm).

Any clues?

John D. Baker, KN5UKS                    NetBSD     Darwin/MacOS X
jdbaker(at)mylinuxisp(dot)com                 OpenBSD            FreeBSD
BSD -- It just sits there and _works_!